"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Vue = require("vue");
const useHeight = require("./use-height.js");
function usePlaceholder(contentRef, bem) {
  const height = useHeight.useHeight(contentRef, true);
  return (renderContent) => Vue.createVNode("div", {
    "class": bem("placeholder"),
    "style": {
      height: height.value ? `${height.value}px` : void 0
    }
  }, [renderContent()]);
}
exports.usePlaceholder = usePlaceholder;
